PyDL:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- pydl v1.0.0 »
- SDSS Imaging Data (`pydl.photoop`) »
- sdssflux2ab

# sdssflux2ab

pydl.photoop.sdssio.sdssflux2ab(flux, magnitude=False, ivar=False)

  Convert the SDSS calibrated fluxes (magnitudes) into AB fluxes (magnitudes).

  Parameters:
    flux `numpy.ndarray`

      Array of calibrated fluxes or SDSS magnitudes with 5 columns, corresponding to the 5 filters u, g, r, i, z.

    magnitude `bool`, optional

      If set to `True`, then assume `flux` are SDSS magnitudes instead of linear flux units.

    ivar `numpy.ndarray`, optional

      If set, the input fluxes are actually inverse variances.

  Returns:
    `numpy.ndarray`

      Array of fluxes or magnitudes on the AB system.

  Notes

  Uses the conversions posted by D.Hogg (sdss-calib/845):

      u(AB,2.5m) = u(2.5m) - 0.042
      g(AB,2.5m) = g(2.5m) + 0.036
      r(AB,2.5m) = r(2.5m) + 0.015
      i(AB,2.5m) = i(2.5m) + 0.013
      z(AB,2.5m) = z(2.5m) - 0.002